/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *  
 *    http://www.apache.org/licenses/LICENSE-2.0
 *  
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License. 
 *  
 */
package org.apache.directory.studio.ldifeditor;

public interface LdifEditorConstants
{

    public static final String ACTION_ID_EDIT_RECORD = "org.apache.directory.studio.ldapbrowser.action.editRecord";

    public static final String PREFERENCE_LDIFEDITOR_FORMATTER_AUTOWRAP = "ldifEditorFormatterAutoWrap";

    public static final String PREFERENCE_LDIFEDITOR_FOLDING_ENABLE = "ldifEditorFoldingEnable";

    public static final String PREFERENCE_LDIFEDITOR_FOLDING_INITIALLYFOLDCOMMENTS = "ldifEditorFoldingInitiallyFoldComments";

    public static final String PREFERENCE_LDIFEDITOR_FOLDING_INITIALLYFOLDRECORDS = "ldifEditoroldingInitiallyFoldRecords";

    public static final String PREFERENCE_LDIFEDITOR_FOLDING_INITIALLYFOLDWRAPPEDLINES = "ldifEditorFoldingInitiallyFoldWrappedLines";

    public static final String PREFERENCE_LDIFEDITOR_DOUBLECLICK_USELDIFDOUBLECLICK = "ldifEditorDoubleClickUserLdifDoubleClick";

    public static final String PREFERENCE_LDIFEDITOR_CONTENTASSIST_INSERTSINGLEPROPOSALAUTO = "ldifEditorCodeAssistInsertSingleProposalAuto";

    public static final String PREFERENCE_LDIFEDITOR_CONTENTASSIST_ENABLEAUTOACTIVATION = "ldifEditorCodeAssistEnableAutoActivation";

    public static final String PREFERENCE_LDIFEDITOR_CONTENTASSIST_AUTOACTIVATIONDELAY = "ldifEditorCodeAssistAutoActivationDelay";

    public static final String PREFERENCE_LDIFEDITOR_CONTENTASSIST_SMARTINSERTATTRIBUTEINMODSPEC = "ldifEditorCodeAssistInsertAttributeInModSpec";

    public static final String PREFERENCE_LDIFEDITOR_SYNTAX_RGB_SUFFIX = "_RGB";

    public static final String PREFERENCE_LDIFEDITOR_SYNTAX_STYLE_SUFFIX = "_STYLE";

    public static final String PREFERENCE_LDIFEDITOR_SYNTAX_COMMENT = "ldifEditorSyntaxComment";

    public static final String PREFERENCE_LDIFEDITOR_SYNTAX_KEYWORD = "ldifEditorSyntaxKeyword";

    public static final String PREFERENCE_LDIFEDITOR_SYNTAX_DN = "ldifEditorSyntaxDn";

    public static final String PREFERENCE_LDIFEDITOR_SYNTAX_ATTRIBUTE = "ldifEditorSyntaxAttribute";

    public static final String PREFERENCE_LDIFEDITOR_SYNTAX_VALUETYPE = "ldifEditorSyntaxValueType";

    public static final String PREFERENCE_LDIFEDITOR_SYNTAX_VALUE = "ldifEditorSyntaxValue";

    public static final String PREFERENCE_LDIFEDITOR_SYNTAX_CHANGETYPEADD = "ldifEditorSyntaxChangetypeAdd";

    public static final String PREFERENCE_LDIFEDITOR_SYNTAX_CHANGETYPEMODIFY = "ldifEditorSyntaxChangetypeModify";

    public static final String PREFERENCE_LDIFEDITOR_SYNTAX_CHANGETYPEDELETE = "ldifEditorSyntaxChangetypeDelete";

    public static final String PREFERENCE_LDIFEDITOR_SYNTAX_CHANGETYPEMODDN = "ldifEditorSyntaxChangetypeModdn";

    public static final String PREFERENCEPAGEID_LDIFEDITOR = "org.apache.directory.studio.ldifeditor.dialogs.preferences.LdifEditorPreferencePage";

    public static final String PREFERENCEPAGEID_LDIFEDITOR_CONTENTASSIST = "org.apache.directory.studio.ldifeditor.dialogs.preferences.LdifEditorContentAssistPreferencePage";

    public static final String PREFERENCEPAGEID_LDIFEDITOR_SYNTAXCOLORING = "org.apache.directory.studio.ldifeditor.dialogs.preferences.LdifEditorSyntaxColoringPreferencePage";

    public static final String PREFERENCEPAGEID_LDIFEDITOR_TEMPLATES = "org.apache.directory.studio.ldifeditor.dialogs.preferences.TemplatesPreferencePage";

    public static final String LDIF_FILE_TEMPLATE_ID = "org.apache.directory.studio.ldifeditor.templates.ldifFile";

    public static final String LDIF_ATTR_VAL_RECORD_TEMPLATE_ID = "org.apache.directory.studio.ldifeditor.templates.ldifAttrValRecord";

    public static final String LDIF_MODIFICATION_RECORD_TEMPLATE_ID = "org.apache.directory.studio.ldifeditor.templates.ldifModificationRecord";

    public static final String LDIF_MODIFICATION_ITEM_TEMPLATE_ID = "org.apache.directory.studio.ldifeditor.templates.ldifModificationItem";

    public static final String LDIF_MODDN_RECORD_TEMPLATE_ID = "org.apache.directory.studio.ldifeditor.templates.ldifModdnRecord";

    public static final String IMG_LDIF_ADD = "resources/icons/ldif_add.gif";

    public static final String IMG_LDIF_MODIFY = "resources/icons/ldif_modify.gif";

    public static final String IMG_LDIF_DELETE = "resources/icons/ldif_delete.gif";

    public static final String IMG_LDIF_RENAME = "resources/icons/ldif_rename.gif";

    public static final String IMG_LDIF_ATTRIBUTE = "resources/icons/ldif_attribute.gif";

    public static final String IMG_LDIF_VALUE = "resources/icons/ldif_value.gif";

    public static final String IMG_LDIF_MOD_ADD = "resources/icons/ldif_mod_add.gif";

    public static final String IMG_LDIF_MOD_REPLACE = "resources/icons/ldif_mod_replace.gif";

    public static final String IMG_LDIF_MOD_DELETE = "resources/icons/ldif_mod_delete.gif";

    public static final String IMG_LDIF_COMMENT = "resources/icons/ldif_comment.gif";

    public static final String IMG_LDIF_DN = "resources/icons/ldif_dn.gif";

    public static final String IMG_ENTRY = "resources/icons/entry.gif";

    public static final String IMG_TEMPLATE = "resources/icons/template.gif";
    
    public static final String IMG_BROWSER_LDIFEDITOR = "resources/icons/browser_ldifeditor.gif";

    public static final String IMG_LDIFEDITOR_NEW = "resources/icons/ldifeditor_new.gif";
    
    public static final String IMG_EXECUTE = "resources/icons/execute.gif";



}
