/*******************************************************************************
 *  Copyright 2007 SWTBot, http://swtbot.org/
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 ******************************************************************************/
package net.sf.swtbot.eclipse.finder.exceptions;

/**
 * @author Ketan Padegaonkar &lt;KetanPadegaonkar [at] gmail [dot] com&gt;
 * @version $Id: QuickFixNotFoundException.java 805 2008-06-28 15:30:12Z kpadegaonkar $
 */
public class QuickFixNotFoundException extends Exception {
	/**
	 * The serialization version identifier.
	 */
	private static final long	serialVersionUID	= -6129340921268076590L;

	/**
	 * Cosntructs an instance with the given message.
	 * 
	 * @param message the message.
	 */
	public QuickFixNotFoundException(String message) {
		super(message);
	}

	/**
	 * Cosntructs an instance with the given message and cause.
	 * 
	 * @param message the message.
	 * @param cause the root cause.
	 */
	public QuickFixNotFoundException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Cosntructs an instance with the given cause.
	 * 
	 * @param cause the root cause.
	 */
	public QuickFixNotFoundException(Throwable cause) {
		super(cause);
	}

}
